Skip to content
Seal
Esc
navigateopen⌘Jpreview

Get download URL

Returns a short-lived pre-signed URL to download the document. If the document is completed, this returns the signed PDF. Otherwise it returns the original uploaded file.

GET/documents/download
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Query parameters
idstringrequired
Responses
200

OK

urlstring<uri>required
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.seal.nyc/api/v1/documents/download?id=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "url": "http://example.com"
}